Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.presentation
Class CatalogBean

    java.lang.Object
      org.apache.struts.action.ActionForm
          com.ibatis.struts.BaseBean
              com.ibatis.jpetstore.presentation.CatalogBean

All Implemented Interfaces:
  Serializable

public class CatalogBean
extends com.ibatis.struts.BaseBean

Date: Mar 9, 2004 10:16:59 PM

Author:
  Clinton Begin
See Also:
  Serialized Form

Field Summary
`private static CatalogService` | `catalogService`
`private Category` | `category`
`private String` | `categoryId`
`private com.ibatis.common.util.PaginatedList` | `categoryList`
`private Item` | `item`
`private String` | `itemId`
`private com.ibatis.common.util.PaginatedList` | `itemList`
`private String` | `keyword`
`private String` | `pageDirection`
`private Product` | `product`
`private String` | `productId`
`private com.ibatis.common.util.PaginatedList` | `productList`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`CatalogBean()`

Method Summary
`void` | `clear()`
`Category` | `getCategory()`
`String` | `getCategoryId()`
`com.ibatis.common.util.PaginatedList` | `getCategoryList()`
`Item` | `getItem()`
`String` | `getItemId()`
`com.ibatis.common.util.PaginatedList` | `getItemList()`
`String` | `getKeyword()`
`String` | `getPageDirection()`
`Product` | `getProduct()`
`String` | `getProductId()`
`com.ibatis.common.util.PaginatedList` | `getProductList()`
`String` | `searchProducts()`
`void` | `setCategory(Category category)`
`void` | `setCategoryId(String categoryId)`
`void` | `setCategoryList(com.ibatis.common.util.PaginatedList categoryList)`
`void` | `setItem(Item item)`
`void` | `setItemId(String itemId)`
`void` | `setItemList(com.ibatis.common.util.PaginatedList itemList)`
`void` | `setKeyword(String keyword)`
`void` | `setPageDirection(String pageDirection)`
`void` | `setProduct(Product product)`
`void` | `setProductId(String productId)`
`void` | `setProductList(com.ibatis.common.util.PaginatedList productList)`
`String` | `switchItemListPage()`
`String` | `switchProductListPage()`
`String` | `viewCategory()`
`String` | `viewItem()`
`String` | `viewProduct()`

Methods inherited from class com.ibatis.struts.BaseBean
`reset, reset, reset, validate, validate, validate, validateRequiredField`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogService

    private static final CatalogService catalogService

### keyword

    private String keyword

### pageDirection

    private String pageDirection

### categoryId

    private String categoryId

### category

    private Category category

### categoryList

    private com.ibatis.common.util.PaginatedList categoryList

### productId

    private String productId

### product

    private Product product

### productList

    private com.ibatis.common.util.PaginatedList productList

### itemId

    private String itemId

### item

    private Item item

### itemList

    private com.ibatis.common.util.PaginatedList itemList

Constructor Detail

### CatalogBean

    public CatalogBean()

Method Detail

### getKeyword

    public String getKeyword()

### setKeyword

    public void setKeyword(String keyword)

### getPageDirection

    public String getPageDirection()

### setPageDirection

    public void setPageDirection(String pageDirection)

### getCategoryId

    public String getCategoryId()

### setCategoryId

    public void setCategoryId(String categoryId)

### getProductId

    public String getProductId()

### setProductId

    public void setProductId(String productId)

### getItemId

    public String getItemId()

### setItemId

    public void setItemId(String itemId)

### getCategory

    public Category getCategory()

### setCategory

    public void setCategory(Category category)

### getProduct

    public Product getProduct()

### setProduct

    public void setProduct(Product product)

### getItem

    public Item getItem()

### setItem

    public void setItem(Item item)

### getCategoryList

    public com.ibatis.common.util.PaginatedList getCategoryList()

### setCategoryList

    public void setCategoryList(com.ibatis.common.util.PaginatedList categoryList)

### getProductList

    public com.ibatis.common.util.PaginatedList getProductList()

### setProductList

    public void setProductList(com.ibatis.common.util.PaginatedList productList)

### getItemList

    public com.ibatis.common.util.PaginatedList getItemList()

### setItemList

    public void setItemList(com.ibatis.common.util.PaginatedList itemList)

### viewCategory

    public String viewCategory()

### searchProducts

    public String searchProducts()

### switchProductListPage

    public String switchProductListPage()

### viewProduct

    public String viewProduct()

### switchItemListPage

    public String switchItemListPage()

### viewItem

    public String viewItem()

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.